Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::FixedShader Class Reference

固定パイプラインシェーダ More...

`#include <FixedShader.h>`

Inheritance diagram for Lamp::FixedShader:

List of all members.

## Protected Member Functions
| FixedShader ()
| コンストラクタ
virtual | ~FixedShader ()
| デストラクタ
virtual void | buildMaterialStart (Material *material)
| マテリアル開始の構築
virtual void | setFixedTexture (int textureStage, Texture *texture)
| 固定機能テクスチャ設定
virtual int | setFixedBaseTexture (int colorStage, Texture *baseTexture, int baseUVIndex)
| 固定機能ベーステクスチャの設定
virtual int | setFixedLightTexture (int colorStage, Texture *lightTexture, int lightUVIndex)
| 固定機能ライトテクスチャの設定
virtual int | setFixedStainTexture (int colorStage, Texture *stainTexture, int stainUVIndex)
| 固定機能汚れテクスチャの設定
virtual void | setupFixedDraw (DrawRequest *request)
| 固定機能描画のセットアップ
virtual void | setMatrixFixed (DrawRequest *request)
| 固定機能行列の設定
virtual void | setFogOptionFixed (DrawRequest *request)
| 固定機能フォグオプションの設定
virtual void | setupFixedLight (DrawRequest *request)
| 固定機能ライトのセットアップ
virtual void | drawFixed (DrawRequest *request)
| 固定機能描画
virtual void | resetFixedDraw (DrawRequest *request)
| 固定機能描画のリセット
virtual void | resetFogOptionFixed (DrawRequest *request)
| 固定機能フォグオプションのリセット
## Friends
class | ShaderManager

## Detailed Description

固定パイプラインシェーダ

Definition at line 36 of file FixedShader.h.

## Member Function Documentation

void Lamp::FixedShader::buildMaterialStart | ( | Material * | material | ) | `[protected, virtual]`

  | マテリアル開始の構築 Parameters:
  material | マテリアル
Reimplemented from Lamp::Shader. Definition at line 54 of file FixedShader.cpp. Referenced by Lamp::BasicShaderFixed::buildStateBlock().

void Lamp::FixedShader::drawFixed | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能描画 Parameters:
  request | 描画リクエスト
Definition at line 203 of file FixedShader.cpp. References Lamp::Mesh::characterDeform(), Lamp::Shader::device_, Lamp::Shader::drawCall(), Lamp::Mesh::getDeformedVertexBuffer(), Lamp::Mesh::getDeformedVertexDeclaration(), Lamp::Mesh::getDeformedVertexSize(), Lamp::DrawRequest::getMesh(), Lamp::Mesh::getVertexBuffer(), Lamp::Mesh::getVertexDeclaration(), Lamp::Mesh::getVertexSize(), Lamp::DrawRequest::isMeshDataChanged(), Lamp::DrawRequest::isPipelineModeChanged(), Lamp::RenderingDevice::setVertexBuffer(), and Lamp::RenderingDevice::setVertexDeclaration(). Referenced by Lamp::BasicShaderFixed::draw().

void Lamp::FixedShader::resetFixedDraw | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能描画のリセット Parameters:
  request | 描画リクエスト
Definition at line 230 of file FixedShader.cpp. References resetFogOptionFixed(). Referenced by Lamp::BasicShaderFixed::draw().

void Lamp::FixedShader::resetFogOptionFixed | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能フォグオプションのリセット Parameters:
  request | 描画リクエスト
Definition at line 236 of file FixedShader.cpp. References Lamp::Shader::device_, Lamp::Color4c::getARGB(), Lamp::Fog::getColor(), Lamp::DrawRequest::getFog(), Lamp::Material::getFogOption(), Lamp::DrawRequest::getMaterial(), and Lamp::RenderingDevice::setRenderState(). Referenced by resetFixedDraw().

int Lamp::FixedShader::setFixedBaseTexture | ( | int | colorStage,
|  | Texture * | baseTexture,
|  | int | baseUVIndex
| ) | `[protected, virtual]`

  | 固定機能ベーステクスチャの設定 Parameters:
  colorStage | カラーステージ
  baseTexture | ベーステクスチャ
  baseUVIndex | ベースUVインデックス
Returns: カラーステージ Definition at line 83 of file FixedShader.cpp. References Lamp::Shader::device_, NULL, Lamp::RenderingDevice::setColorTextureStage(), and setFixedTexture(). Referenced by Lamp::BasicShaderFixed::buildStateBlock().

int Lamp::FixedShader::setFixedLightTexture | ( | int | colorStage,
|  | Texture * | lightTexture,
|  | int | lightUVIndex
| ) | `[protected, virtual]`

  | 固定機能ライトテクスチャの設定 Parameters:
  colorStage | カラーステージ
  lightTexture | ライトテクスチャ
  lightUVIndex | ライトUVインデックス
Returns: カラーステージ Definition at line 96 of file FixedShader.cpp. References Lamp::Shader::device_, NULL, Lamp::RenderingDevice::setColorTextureStage(), and setFixedTexture(). Referenced by Lamp::BasicShaderFixed::buildStateBlock().

int Lamp::FixedShader::setFixedStainTexture | ( | int | colorStage,
|  | Texture * | stainTexture,
|  | int | stainUVIndex
| ) | `[protected, virtual]`

  | 固定機能汚れテクスチャの設定 Parameters:
  colorStage | カラーステージ
  stainTexture | 汚れテクスチャ
  stainUVIndex | 汚れUVインデックス
Returns: カラーステージ Definition at line 109 of file FixedShader.cpp. References Lamp::Shader::device_, NULL, Lamp::RenderingDevice::setColorTextureStage(), and setFixedTexture(). Referenced by Lamp::BasicShaderFixed::buildStateBlock().

void Lamp::FixedShader::setFixedTexture | ( | int | textureStage,
|  | Texture * | texture
| ) | `[protected, virtual]`

  | 固定機能テクスチャ設定 Parameters:
  textureStage | テクスチャステージ
  texture | テクスチャ
Definition at line 66 of file FixedShader.cpp. References Lamp::Texture::castSurfaceTexture(), Lamp::Shader::device_, Lamp::SurfaceTexture::getAddressModeU(), Lamp::SurfaceTexture::getAddressModeV(), Lamp::SurfaceTexture::getOffsetUV(), Lamp::SurfaceTexture::getRepeatUV(), NULL, Lamp::RenderingDevice::setTexture(), Lamp::RenderingDevice::setTextureAddressMode2(), and Lamp::RenderingDevice::setTextureTransform2(). Referenced by setFixedBaseTexture(), setFixedLightTexture(), and setFixedStainTexture().

void Lamp::FixedShader::setFogOptionFixed | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能フォグオプションの設定 Parameters:
  request | 描画リクエスト
Definition at line 144 of file FixedShader.cpp. References Lamp::Shader::device_, Lamp::Material::getFogOption(), Lamp::DrawRequest::getMaterial(), and Lamp::RenderingDevice::setRenderState(). Referenced by setupFixedDraw().

void Lamp::FixedShader::setMatrixFixed | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能行列の設定 Parameters:
  request | 描画リクエスト
Definition at line 137 of file FixedShader.cpp. References Lamp::Shader::device_, Lamp::DrawRequest::getSceneNode(), Lamp::SceneNode::getWorldMatrix(), Lamp::DrawRequest::isSceneNodeChanged(), and Lamp::RenderingDevice::setWorldMatrix(). Referenced by setupFixedDraw().

void Lamp::FixedShader::setupFixedDraw | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能描画のセットアップ Parameters:
  request | 描画リクエスト
Definition at line 124 of file FixedShader.cpp. References Lamp::Shader::device_, Lamp::DrawRequest::requireNormalize(), setFogOptionFixed(), setMatrixFixed(), Lamp::RenderingDevice::setRenderState(), and setupFixedLight(). Referenced by Lamp::BasicShaderFixed::draw().

void Lamp::FixedShader::setupFixedLight | ( | DrawRequest * | request | ) | `[protected, virtual]`

  | 固定機能ライトのセットアップ Parameters:
  request | 描画リクエスト
Definition at line 154 of file FixedShader.cpp. References Lamp::Light::castPointLight(), Lamp::RenderingDevice::closeLight(), Lamp::Shader::device_, Lamp::RenderingDevice::enableDirectionalLight(), Lamp::RenderingDevice::enablePointLight(), ErrorOut, Lamp::DrawRequest::getAmbientColor(), Lamp::DrawRequest::getDirectionalLight(), Lamp::DrawRequest::getDirectionalLightCount(), Lamp::Light::getLightMask(), Lamp::Material::getLightMask(), Lamp::DrawRequest::getLocalLight(), Lamp::DrawRequest::getLocalLightCount(), Lamp::DrawRequest::getMaterial(), Lamp::Light::isPointLight(), Lamp::Shader::maxActiveLightCount_, Lamp::RenderingDevice::setAmbientColor(), Lamp::DrawRequest::sortLocalLights(), u_int, and Lamp::Material::useLight(). Referenced by setupFixedDraw().

The documentation for this class was generated from the following files:

- FixedShader.h
- FixedShader.cpp